javax.validation

## Enum ElementKind

- java.lang.Object
- - java.lang.Enum<ElementKind>
  - - javax.validation.ElementKind

- All Implemented Interfaces:
    Serializable, Comparable<ElementKind>

      public enum ElementKind
      extends Enum<ElementKind>

  Enum of possible kinds of elements encountered in Bean Validation.

  Mostly elements that can be constrained and described in the metadata but also elements that can be part of a `Path` and represented by a `Path.Node`
  Since:
    1.1
  Author:
    Emmanuel Bernard, Gunnar Morling

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BEAN` A Java Bean or object.
    `CONSTRUCTOR` A constructor.
    `CROSS_PARAMETER` Element holding cross-parameter constraints of a method or constructor.
    `METHOD` A method.
    `PARAMETER` A parameter of a method or constructor.
    `PROPERTY` A property of a Java Bean.
    `RETURN_VALUE` The return value of a method or constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ElementKind` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ElementKind[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BEAN

          public static final ElementKind BEAN

      A Java Bean or object.

    - #### PROPERTY

          public static final ElementKind PROPERTY

      A property of a Java Bean.

    - #### METHOD

          public static final ElementKind METHOD

      A method.

    - #### CONSTRUCTOR

          public static final ElementKind CONSTRUCTOR

      A constructor.

    - #### PARAMETER

          public static final ElementKind PARAMETER

      A parameter of a method or constructor.

    - #### CROSS_PARAMETER

          public static final ElementKind CROSS_PARAMETER

      Element holding cross-parameter constraints of a method or constructor.

    - #### RETURN_VALUE

          public static final ElementKind RETURN_VALUE

      The return value of a method or constructor.

  - ### Method Detail

    - #### values

          public static ElementKind[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ElementKind c : ElementKind.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ElementKind valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.